
Core - Task # 42197

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category: Extension Manager
Created: 2012-10-20 Assigned To: Stefan Neufeind
Updated: 2014-02-02 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: Use central jQuery
Description

Since datatables is meanwhile separate (#40498) the central jQuery can now be used and the bundled version dropped. It does not
matter if/where jQuery might in the future be moved - but PageRenderer already has a function to just loadJquery() so imho we can
use that.

Related issues:
related to Core - Bug # 40498: embedded jquery Resolved 2012-09-01
related to Core - Task # 43184: Use central jQuery Resolved 2012-11-21
related to Core - Bug # 58697: jQuery tabs pollution Rejected 2014-05-11

Associated revisions
Revision 0207d9c7 - 2013-11-08 14:05 - Stefan Neufeind

[TASK] Extensionmanager: Update jQuery-usage

    -  Use central jQuery 1.9.x
    -  Update jQuery UI
    -  Dropped jQuery Tools
    -  Added Validator

  (previously used from jQuery Tools)
    -  Made tabs work again

Change-Id: Iabe4fa307beda89cf5e54575179b286fe675ff90
Resolves: #42197
Releases: 6.2
Reviewed-on: https://review.typo3.org/15828
Tested-by: Wouter Wolters
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
Reviewed-by: Sebastian Fischer
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2012-10-20 00:47 - Gerrit Code Review
- Status changed from New to Under Review
https://review.typo3.org/15828


Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15828

#2 - 2012-11-11 18:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15828

#3 - 2012-11-21 00:25 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15828

#4 - 2012-11-21 01:04 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15828

#5 - 2013-03-25 15:22 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#6 - 2013-03-25 17:13 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#7 - 2013-03-26 22:36 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#8 - 2013-03-26 23:56 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#9 - 2013-03-27 15:11 - Oliver Hader
- Target version set to 2222

#10 - 2013-03-27 15:13 - Oliver Hader
- Project changed from Extension Manager to Core

#11 - 2013-03-27 15:19 - Oliver Hader
- Category set to Extension Manager

#12 - 2013-03-27 15:23 - Oliver Hader
- Target version deleted (2222)

#13 - 2013-04-02 00:44 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#14 - 2013-04-02 23:40 - Wouter Wolters
- File 2-4-2013_23-40-12.png added

See attached screenshot.

#15 - 2013-04-02 23:56 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#16 - 2013-04-05 20:42 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#17 - 2013-04-05 22:22 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#18 - 2013-04-05 23:09 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#19 - 2013-04-06 00:44 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#20 - 2013-05-04 14:42 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828
#21 - 2013-05-04 17:18 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#22 - 2013-10-03 18:37 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#23 - 2013-10-17 21:16 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#24 - 2013-10-17 22:33 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15828

#25 - 2013-11-08 14:30 - Stefan Neufeind
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0207d9c7e62eac1e2bc4bcd197d95da0b18d860e.

#26 - 2014-02-02 11:17 - Daniel Siepmann
- Parent task set to #55575

Files
2-4-2013_23-40-12.png 3.7 kB 2013-04-02 Wouter Wolters
